package com.iformall.mapper;

import java.util.*;
import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxMerchantSubsidy;
import com.iformall.domain.vo.WxMerchantSubsidyVo;

public interface WxMerchantSubsidyMapper extends CommonMapper<WxMerchantSubsidy, Long> {

	List<WxMerchantSubsidy> findList(WxMerchantSubsidy wxMerchantSubsidy);

	int updateByCond(WxMerchantSubsidy wxMerchantSubsidy);

	List<WxMerchantSubsidyVo> findVoList(WxMerchantSubsidy wxMerchantSubsidy);

	List<Map<String, Object>> sumVoList(WxMerchantSubsidy wxMerchantSubsidy);
	
}
